Class MoveBuilder

java.lang.Object
com.dropbox.core.v2.files.MoveBuilder

public class MoveBuilder extends Object
The request builder returned by DbxUserFilesRequests.moveBuilder(java.lang.String, java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withAllowSharedFolder

      @Deprecated public MoveBuilder withAllowSharedFolder(Boolean allowSharedFolder)
      Deprecated.
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      allowSharedFolder - Field is deprecated. This flag has no effect. Defaults to false when set to null.
      Returns:
      this builder
    • withAutorename

      public MoveBuilder withAutorename(Boolean autorename)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      autorename - If there's a conflict, have the Dropbox server try to autorename the file to avoid the conflict. Defaults to false when set to null.
      Returns:
      this builder
    • withAllowOwnershipTransfer

      public MoveBuilder withAllowOwnershipTransfer(Boolean allowOwnershipTransfer)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      allowOwnershipTransfer - Allow moves by owner even if it would result in an ownership transfer for the content being moved. This does not apply to copies. Defaults to false when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      RelocationErrorException
      DbxException